## com.bbn.openmap.omGraphics
Class EditableOMSpline

    java.lang.Object
      |
      +--com.bbn.openmap.event.MapMouseAdapter
            |
            +--com.bbn.openmap.omGraphics.EditableOMGraphic
                  |
                  +--com.bbn.openmap.omGraphics.EditableOMPoly
                        |
                        +--com.bbn.openmap.omGraphics.EditableOMSpline

All Implemented Interfaces:
  MapMouseListener

Direct Known Subclasses:
  EditableLabeledOMSpline, EditableOMDecoratedSpline

public class EditableOMSpline
extends EditableOMPoly

EditableOMSpline. Nothing created, code adapted from EditableOMPoly We just need to edit the generating points as an OMPoly

Version:
  22 juil. 2002
Author:
  Eric LEPICIER

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMPoly
`gpm, gpo, manualEnclosed, OFFSET_POINT_INDEX, poly, polyGrabPoints`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`actionMask, canGrabGraphic, DEBUG, DEBUG_DETAIL, gPoints, holder, lastMouseEvent, listeners, mouseModeServiceList, movingPoint, projection, showGUI, stateMachine`

Constructor Summary
`EditableOMSpline()` Constructor.
`EditableOMSpline(GraphicAttributes ga)` Constructor.
`EditableOMSpline(OMSpline omp)` Constructor.

Method Summary
`int` `addMovingPoint(int x, int y)` Overridden to overcome some repainting unpleasantness that occurs when a point is added.
`OMGraphic` `createGraphic(int renderType, int lineType)` Extendable method to create specific subclasses of OMPolys.
`java.net.URL` `getImageURL(java.lang.String imageName)`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMPoly

`addPoint, addPoint, addPoint, addPoint, addPolyGrabPointsToOGP, assertGrabPoints, attachToMovingGrabPoint, createGrabPoint, createGraphic, deletePoint, deletePoint, detachFromMovingGrabPoint, enablePolygonButton, enablePolygonEditButtons, enclose, evaluateEnclosed, generate, getGrabPoint, getGrabPoints, getGraphic, getGUI, getMovingPoint, getPolyGUI, getPolyGUI, init, isEnclosed, move, regenerate, render, setEnclosed, setGrabPoint, setGrabPoints, setGrabPoints, setGrabPoints, setGraphic, setMovingPoint, syncEnclosed, unsyncEnclosed, whichGrabPoint`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic

`_getMovingPoint, addEOMGListener, cleanMap, finalize, fireEvent, fireEvent, fireEvent, fireEvent, getActionMask, getCanGrabGraphic, getGUI, getMouseModeServiceList, getMovingPoint, getProjection, getShowGUI, getStateMachine, handleInitialMouseEvent, modifyOMGraphicForEditRender, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased, redraw, redraw, redraw, removeEOMGListener, repaint, repaintRender, reset, resetOMGraphicAfterEditRender, setActionMask, setCanGrabGraphic, setMouseModeServiceList, setProjection, setShowGUI, setStateMachine`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditableOMSpline

    public EditableOMSpline()

  Constructor.

### EditableOMSpline

    public EditableOMSpline(GraphicAttributes ga)

  Constructor.

Parameters:
  `ga` -

### EditableOMSpline

    public EditableOMSpline(OMSpline omp)

  Constructor.

Parameters:
  `omp` -

Method Detail

### createGraphic

    public OMGraphic createGraphic(int renderType,
                                   int lineType)

  Extendable method to create specific subclasses of OMPolys.

  Overrides:
    `createGraphic` in class `EditableOMPoly`

### addMovingPoint

    public int addMovingPoint(int x,
                              int y)

  Overridden to overcome some repainting unpleasantness that occurs when a point is added. Slows things down, however.

  Overrides:
    `addMovingPoint` in class `EditableOMPoly`
  Returns:
    the index for the point in the polygon, starting with 0.

### getImageURL

    public java.net.URL getImageURL(java.lang.String imageName)

  Overrides:
    `getImageURL` in class `EditableOMPoly`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details